Bug 1392132 - [abrt] mate-terminal: gtk_widget_get_frame_clock(): mate-terminal killed by SIGABRT
Summary: [abrt] mate-terminal: gtk_widget_get_frame_clock(): mate-terminal killed by S...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-terminal
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0b9bc4aaa1ddef862a1c4db7656...
Depends On:
Blocks: 1398234
TreeView+ depends on / blocked
 
Reported: 2016-11-04 23:12 UTC by elit3ch.ksp
Modified: 2016-11-24 10:28 UTC (History)
2 users (show)

Fixed In Version: mate-terminal-1.16.1-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-15 23:22:25 UTC


Attachments (Terms of Use)
File: backtrace (43.15 KB, text/plain)
2016-11-04 23:12 UTC, elit3ch.ksp
no flags Details
File: cgroup (242 bytes, text/plain)
2016-11-04 23:12 UTC, elit3ch.ksp
no flags Details
File: core_backtrace (11.82 KB, text/plain)
2016-11-04 23:12 UTC, elit3ch.ksp
no flags Details
File: dso_list (10.17 KB, text/plain)
2016-11-04 23:12 UTC, elit3ch.ksp
no flags Details
File: environ (1.24 KB, text/plain)
2016-11-04 23:12 UTC, elit3ch.ksp
no flags Details
File: limits (1.29 KB, text/plain)
2016-11-04 23:12 UTC, elit3ch.ksp
no flags Details
File: maps (51.04 KB, text/plain)
2016-11-04 23:12 UTC, elit3ch.ksp
no flags Details
File: mountinfo (3.25 KB, text/plain)
2016-11-04 23:12 UTC, elit3ch.ksp
no flags Details
File: namespaces (102 bytes, text/plain)
2016-11-04 23:12 UTC, elit3ch.ksp
no flags Details
File: open_fds (1011 bytes, text/plain)
2016-11-04 23:12 UTC, elit3ch.ksp
no flags Details
File: proc_pid_status (1.15 KB, text/plain)
2016-11-04 23:12 UTC, elit3ch.ksp
no flags Details
File: var_log_messages (309 bytes, text/plain)
2016-11-04 23:12 UTC, elit3ch.ksp
no flags Details

Description elit3ch.ksp 2016-11-04 23:12:35 UTC
Description of problem:
1. Open terminal and open multiple tabs
2. Drag one tab out of the terminal window
3. Try step 2 few times

Version-Release number of selected component:
mate-terminal-1.16.1-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        mate-terminal
crash_function: gtk_widget_get_frame_clock
executable:     /usr/bin/mate-terminal
global_pid:     1622
kernel:         4.8.4-200.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 gtk_widget_get_frame_clock at gtkwidget.c:5830
 #5 gtk_widget_unrealize at gtkwidget.c:5537
 #6 gtk_widget_unparent at gtkwidget.c:4631
 #7 gtk_notebook_remove_tab_label at gtknotebook.c:4998
 #8 gtk_notebook_real_remove at gtknotebook.c:5069
 #9 gtk_notebook_remove at gtknotebook.c:4233
 #10 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:2102
 #11 _g_closure_invoke_va at gclosure.c:867
 #14 gtk_container_remove at gtkcontainer.c:1905
 #15 terminal_window_remove_screen at terminal-window.c:2636

Comment 1 elit3ch.ksp 2016-11-04 23:12:38 UTC
Created attachment 1217520 [details]
File: backtrace

Comment 2 elit3ch.ksp 2016-11-04 23:12:39 UTC
Created attachment 1217521 [details]
File: cgroup

Comment 3 elit3ch.ksp 2016-11-04 23:12:39 UTC
Created attachment 1217522 [details]
File: core_backtrace

Comment 4 elit3ch.ksp 2016-11-04 23:12:40 UTC
Created attachment 1217523 [details]
File: dso_list

Comment 5 elit3ch.ksp 2016-11-04 23:12:41 UTC
Created attachment 1217524 [details]
File: environ

Comment 6 elit3ch.ksp 2016-11-04 23:12:41 UTC
Created attachment 1217525 [details]
File: limits

Comment 7 elit3ch.ksp 2016-11-04 23:12:42 UTC
Created attachment 1217526 [details]
File: maps

Comment 8 elit3ch.ksp 2016-11-04 23:12:43 UTC
Created attachment 1217527 [details]
File: mountinfo

Comment 9 elit3ch.ksp 2016-11-04 23:12:43 UTC
Created attachment 1217528 [details]
File: namespaces

Comment 10 elit3ch.ksp 2016-11-04 23:12:44 UTC
Created attachment 1217529 [details]
File: open_fds

Comment 11 elit3ch.ksp 2016-11-04 23:12:45 UTC
Created attachment 1217530 [details]
File: proc_pid_status

Comment 12 elit3ch.ksp 2016-11-04 23:12:46 UTC
Created attachment 1217531 [details]
File: var_log_messages

Comment 13 Wolfgang Ulbrich 2016-11-05 07:04:39 UTC
I guess you mean this upstream bug report ?
"dragging the tab, and dropping over the mate-terminal"
https://github.com/mate-desktop/mate-terminal/issues/145

Comment 14 Fedora Update System 2016-11-06 19:32:12 UTC
mate-terminal-1.16.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0cf813ffdd

Comment 15 Fedora Update System 2016-11-08 01:27:25 UTC
mate-terminal-1.16.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0cf813ffdd

Comment 16 elit3ch.ksp 2016-11-13 19:33:05 UTC
(In reply to Wolfgang Ulbrich from comment #13)
> I guess you mean this upstream bug report ?
> "dragging the tab, and dropping over the mate-terminal"
> https://github.com/mate-desktop/mate-terminal/issues/145

Sry for the late reply and yes.
Upgraded to mate-terminal-1.16.1-2.fc24 and the issue seems fixed for me.
Thx!

Comment 17 Fedora Update System 2016-11-15 23:22:25 UTC
mate-terminal-1.16.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Milan Crha 2016-11-24 10:28:13 UTC
(In reply to Fedora Update System from comment #14)
> mate-terminal-1.16.1-2.fc24 has been submitted as an update to Fedora 24.
> https://bodhi.fedoraproject.org/updates/FEDORA-2016-0cf813ffdd

This change causes a regression, see bug #1398234.


Note You need to log in before you can comment on or make changes to this bug.